/**
 * AddressPartType2.java
 *
 * File generated from the medication2::AddressPartType2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration AddressPartType2.
 *
 * 
 */

@XmlType(name = "AddressPartType")
@XmlEnum
@XmlRootElement(name = "AddressPartType2")
public enum AddressPartType2 {
	@XmlEnumValue("CAR")
	CAR("CAR"),
	@XmlEnumValue("CEN")
	CEN("CEN"),
	@XmlEnumValue("CNT")
	CNT("CNT"),
	@XmlEnumValue("CPA")
	CPA("CPA"),
	@XmlEnumValue("CTY")
	CTY("CTY"),
	@XmlEnumValue("DEL")
	DEL("DEL"),
	@XmlEnumValue("POB")
	POB("POB"),
	@XmlEnumValue("PRE")
	PRE("PRE"),
	@XmlEnumValue("STA")
	STA("STA"),
	@XmlEnumValue("ZIP")
	ZIP("ZIP"),
	@XmlEnumValue("ADL")
	ADL("ADL"),
	@XmlEnumValue("UNID")
	UNID("UNID"),
	@XmlEnumValue("UNIT")
	UNIT("UNIT"),
	@XmlEnumValue("DAL")
	DAL("DAL"),
	@XmlEnumValue("DINST")
	DINST("DINST"),
	@XmlEnumValue("DINSTA")
	DINSTA("DINSTA"),
	@XmlEnumValue("DINSTQ")
	DINSTQ("DINSTQ"),
	@XmlEnumValue("DMOD")
	DMOD("DMOD"),
	@XmlEnumValue("DMODID")
	DMODID("DMODID"),
	@XmlEnumValue("SAL")
	SAL("SAL"),
	@XmlEnumValue("DIR")
	DIR("DIR"),
	@XmlEnumValue("BNR")
	BNR("BNR"),
	@XmlEnumValue("BNN")
	BNN("BNN"),
	@XmlEnumValue("BNS")
	BNS("BNS"),
	@XmlEnumValue("STR")
	STR("STR"),
	@XmlEnumValue("STB")
	STB("STB"),
	@XmlEnumValue("STTYP")
	STTYP("STTYP");
	
	private final String value;

    AddressPartType2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static AddressPartType2 fromValue(String v) {
        for (AddressPartType2 c: AddressPartType2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
